/**********************************************************************/
/* File: INSNATR.SQL                                                  */
/*                                                                    */
/* Description:                                                       */
/*   This file contains a stored procedure for FRx report generation. */
/*                                                                    */
/**********************************************************************/

drop table #f
go
create table #f
(UnitNo		smallint	null,
 Row_no		smallint	null,
 account_code	varchar(64)	null,
 pmflag         smallint	null,
 negsign        smallint	null,
 bal_fwd_flag	smallint	null,
 Sequence 	int		null,
 Int_Code	int		null,
 acct_desc	varchar(60)	null
)
go

IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('frlInsTempAcctCode'))
  drop proc dbo.frlInsTempAcctCode
go

create proc dbo.frlInsTempAcctCode @UnitNo smallint, @Row_No smallint,
	@pmflag smallint, @negsign smallint, @sequence int, 
	@entity_num smallint, @lorange varchar(64), @hirange varchar(64),
        @IsNat tinyint, @IsRange tinyint, @fulllike varchar(64)
as
begin
  if @IsNat = 0
    begin
      if @IsRange = 0
        begin
          insert #f select @UnitNo , @Row_No, acct_code, @pmflag, @negsign, 
                           bal_sheet_acct, @sequence, A.acct_id, A.acct_desc
                      from frl_acct_code A
                     where A.entity_num = @entity_num 
                       and A.acct_code like @lorange 
                       and rollup_level = 0 
        end
      else
        begin
          insert #f select @UnitNo , @Row_No, acct_code, @pmflag, @negsign, 
                           bal_sheet_acct, @sequence, A.acct_id, A.acct_desc
                      from frl_acct_code A
                     where A.entity_num = @entity_num 
                       and A.acct_code between @lorange and @hirange
                       and A.acct_code like @fulllike
                       and rollup_level = 0 
        end
    end
  else
    begin
      if @IsRange = 0
        begin
          insert #f select @UnitNo , @Row_No, acct_code, @pmflag, @negsign, 
                           bal_sheet_acct, @sequence, A.acct_id, A.acct_desc
                      from frl_acct_code A
                     where A.entity_num = @entity_num 
                       and A.nat_seg_code like @lorange 
                       and A.acct_code like @fulllike 
                       and rollup_level = 0 
        end
      else
        begin
          insert #f select @UnitNo , @Row_No, acct_code, @pmflag, @negsign, 
                           bal_sheet_acct, @sequence, A.acct_id, A.acct_desc
                      from frl_acct_code A
                     where A.entity_num = @entity_num 
                       and A.nat_seg_code between @lorange  and @hirange
                       and A.acct_code like @fulllike 
                       and rollup_level = 0 
        end
    end
end
go

grant execute on dbo.frlInsTempAcctCode to public
go
