drop table #f
go
create table #f
(UnitNo		smallint	null,
 Row_no		smallint	null,
 account_code	varchar(64)	null,
 pmflag         smallint	null,
 negsign        smallint	null,
 bal_fwd_flag	smallint	null,	
 Sequence 	int	null,
 Int_Code	int	null,
 acct_desc	varchar(60)	null
)
go

IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('frlInsTempAcctSeg'))
  drop proc dbo.frlInsTempAcctSeg 
go

create proc dbo.frlInsTempAcctSeg @UnitNo smallint, @Row_No smallint,
	@pmflag smallint, @negsign smallint, @sequence int, 
	@entity_num smallint, @lorange varchar(64), @hirange varchar(64),
        @IsRange tinyint, @fulllike varchar(64), @segno tinyint
as
begin
  if @IsRange = 1
    begin
      insert #f select @UnitNo, @Row_No, B.acct_code, @pmflag, @negsign, 
                       bal_sheet_acct, @sequence, A.acct_id, A.acct_desc
                  from frl_acct_seg B, frl_acct_code A
                 where B.entity_num = @entity_num and B.seg_num = @segno 
                   and B.seg_code between @lorange and @hirange
                   and B.acct_code like @fulllike 
                   and A.acct_id = B.acct_id 
                   and A.entity_num =  @entity_num 
                   and rollup_level = 0 
    end
  else
    begin
      insert #f select @UnitNo, @Row_No, B.acct_code, @pmflag, @negsign, 
                       bal_sheet_acct, @sequence, A.acct_id, A.acct_desc
                  from frl_acct_seg B, frl_acct_code A
                 where B.entity_num = @entity_num and B.seg_num = @segno 
                   and B.seg_code like @lorange
                   and B.acct_code like @fulllike 
                   and A.acct_id = B.acct_id 
                   and A.entity_num =  @entity_num 
                   and rollup_level = 0 
    end
end
go

grant execute on frlInsTempAcctSeg to public
go
