/********************************************************************/
/* File: TRANINDX.SQL                                               */
/*                                                                  */
/* Description:                                                     */
/*   This file contains SQL statements to create two additional     */
/*   indexes on transaction tables to help increase speed during    */
/*   the generation of FRx transaction detail reports.              */
/*                                                                  */
/********************************************************************/

IF EXISTS (SELECT * FROM sysindexes WHERE name = 'FRX_JNL_ACCT' AND id = object_id('JHDT'))
  drop index JHDT.FRX_JNL_ACCT
go
create index FRX_JNL_ACCT on JHDT (JNL_ACCT)
go

IF EXISTS (SELECT * FROM sysindexes WHERE name = 'FLX_PRS_OWNER' AND id = object_id('JHDT'))
  drop index JHDT.FLX_PRS_OWNER
go
create index FLX_PRS_OWNER on JHDT (FLX_PRS_OWNER)
go


IF EXISTS (SELECT * FROM sysindexes WHERE name = 'FRX_JNL_ACCT' AND id = object_id('JNDT'))
  drop index JNDT.FRX_JNL_ACCT
go
create index FRX_JNL_ACCT on JNDT (JNL_ACCT)
go

IF EXISTS (SELECT * FROM sysindexes WHERE name = 'BAL_CODE' AND id = object_id('JHHD'))
  drop index JHHD.BAL_CODE
go
create index BAL_CODE on JHHD (BAL_CODE, ACCT_TBL_CURR)
go


update statistics JHDT
go
update statistics JNDT
go
update statistics JHHD

